## rosegarden 19.06

=== CMakeLists.txt ===
# CMake version required. This must be the very first line, because it sets default policies affecting everything else
cmake_minimum_required(VERSION 3.1)

# Project name
project(rosegarden)

# Version
set(ROSEGARDEN_VERSION "19.06")
set(ROSEGARDEN_CODENAME "Xerxes")
#set(ROSEGARDEN_CODENAME "Yesterday")
#set(ROSEGARDEN_CODENAME "Zepherine Drouhin")
#set(ROSEGARDEN_CODENAME "Altissimo")
#set(ROSEGARDEN_CODENAME "Bouquet d'Or")
#set(ROSEGARDEN_CODENAME "Cloud Nine")
#set(ROSEGARDEN_CODENAME "Distant Drums")
#set(ROSEGARDEN_CODENAME "Enchantress")
#set(ROSEGARDEN_CODENAME "Flutterbye")
#set(ROSEGARDEN_CODENAME "Grace Note")
#set(ROSEGARDEN_CODENAME "Hermosa")
#set(ROSEGARDEN_CODENAME "Incredible")
#set(ROSEGARDEN_CODENAME "Joyfulness")
#set(ROSEGARDEN_CODENAME "Keepsake")
#set(ROSEGARDEN_CODENAME "Let Freedom Ring")
#set(ROSEGARDEN_CODENAME "Mountain Music")
#set(ROSEGARDEN_CODENAME "Night Owl")
#set(ROSEGARDEN_CODENAME "Orange Flame")
#set(ROSEGARDEN_CODENAME "Purple Rain")
#set(ROSEGARDEN_CODENAME "Quietness")

# Make the build type default to "Release"
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif(NOT CMAKE_BUILD_TYPE)

# Make it possible to use cmake files from the cmake subdir
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

# Enable the really useful automoc feature from cmake
set(CMAKE_AUTOMOC TRUE)

# Find headers in "." as well
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Used to set installation paths
# This takes care of installing into "lib64" on distros that use that, for instance,
# by setting CMAKE_INSTALL_FULL_LIBDIR.
include(GNUInstallDirs)

# Tweak RPATH handling so that installed debug builds work out of the box
include(RPathHandling)

# Activate unit tests (this enables `make test`)
enable_testing()
# then define the BUILD_TESTING option, with the default value that we want
# We'll set it to OFF in release mode, and let users (developers) choose in debug mode.
# include(CTest) would make it ON by default in all cases, so we don't use that

if(CMAKE_BUILD_TYPE STREQUAL "Release")
    option(BUILD_TESTING "Build the testing tree." OFF)
else()
    option(BUILD_TESTING "Build the testing tree." ON)
endif()

# Compiler defines

if(CMAKE_BUILD_TYPE STREQUAL "Release")
    add_definitions(-DNDEBUG -DBUILD_RELEASE -DNO_TIMING)
else()
    add_definitions(-DDEBUG -DBUILD_DEBUG -DWANT_TIMING)
endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DSTABLE) # this is changed to STABLE by the release script

# Compiler flags

set(CMAKE_CXX_STANDARD 11) # Enable C++11

if(CMAKE_COMPILER_IS_GNUCXX)
   if(CMAKE_SYSTEM_NAME MATCHES Linux OR CMAKE_SYSTEM_NAME STREQUAL GNU)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Woverloaded-virtual -Wextra -Wformat-nonliteral -Wformat-security -Winit-self -Wswitch-enum -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -W -Wpointer-arith -fno-check-new -fno-common -Werror=return-type")
      add_definitions(-DQT_NO_EXCEPTIONS)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
      if (CMAKE_COMPILER_IS_GNUCC AND (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 4.7))
          # Too many left, someone needs to finish this...
          #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wzero-as-null-pointer-constant") # suggest using nullptr where applicable
      endif()
      if (CMAKE_COMPILER_IS_GNUCC AND (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 5.1))
         set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override")
      endif()
   endif()
endif()

# Looking for dependencies

find_package(PkgConfig REQUIRED)
include(FeatureSummary)

# Required dependencies ---------------------------------------

# Qt5 is required.
find_package(Qt5 "5.1.0" REQUIRED COMPONENTS Core Gui Widgets Xml Network PrintSupport Test)

set(QT_QTCORE_LIBRARY Qt5::Core)
set(QT_QTGUI_LIBRARY Qt5::Widgets Qt5::PrintSupport)
set(QT_QTXML_LIBRARY Qt5::Xml)
set(QT_QTNETWORK_LIBRARY Qt5::Network)
set(QT_QTTEST_LIBRARY Qt5::Test)

set(QT_RCC_EXECUTABLE ${Qt5Core_RCC_EXECUTABLE})


find_path(LADSPA_INCLUDE_DIR ladspa.h)
if(NOT LADSPA_INCLUDE_DIR)
    message(FATAL_ERROR "Failed to find required LADSPA header ladspa.h")
endif()

pkg_check_modules(ALSA alsa>=0.9)
add_feature_info(ALSA ALSA_FOUND "Alsa library (Advanced Linux Sound Architecture), used for MIDI support")
if(NOT ALSA_FOUND)
    # This little bit of juggling is to enable DSSI to be included even on
    # systems without ALSA (dssi.h includes an ALSA header, but we can
    # fill in the gap if ALSA itself is not present)
    message(WARNING "No ALSA library found: MIDI will be unavailable!")
    message(STATUS "Using compatibility code for DSSI event types")
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/sound/dssi-compatibility)
endif()

find_path(DSSI_INCLUDE_DIRS dssi.h)
if(NOT DSSI_INCLUDE_DIRS)
    message(FATAL_ERROR "Failed to find required DSSI header dssi.h")
endif()

find_package(ZLIB REQUIRED)

find_package(X11 REQUIRED) # for XSetErrorHandler & XGetErrorText

pkg_check_modules(LIBLO REQUIRED liblo>=0.7)

pkg_check_modules(LRDF REQUIRED lrdf>=0.2)

pkg_check_modules(FFTW3F REQUIRED fftw3f>=3.0.0)

pkg_check_modules(SAMPLERATE REQUIRED samplerate>=0.1.2)

# Optional dependencies ---------------------------------------

pkg_check_modules(SNDFILE sndfile>=1.0.16)
add_feature_info(SNDFILE SNDFILE_FOUND "Better support for WAV files")

pkg_check_modules(JACK jack)
if(JACK_FOUND)
    add_feature_info(JACK JACK_FOUND "Library for accessing the JACK server (http://jackaudio.org).")
else()
    add_feature_info(JACK JACK_FOUND "WARNING: the library for accessing the JACK server (http://jackaudio.org) was not found. Audio will be unavailable!")
endif()

# Build with LIRC support if LIRC detected, unless DISABLE_LIRC is set
if(NOT DISABLE_LIRC)
    find_path(LIRCCLIENT_INCLUDE_DIR lirc/lirc_client.h)
    if(NOT LIRCCLIENT_INCLUDE_DIR)
        message(WARNING "Failed to find LIRC header lirc/lirc_client.h")
    endif()
    find_library(LIRCCLIENT_LIBRARY lirc_client)
    if(NOT LIRCCLIENT_LIBRARY)
        message(WARNING "Failed to find LIRC library lirc_client")
    endif()
    if(LIRCCLIENT_INCLUDE_DIR AND LIRCCLIENT_LIBRARY)
        set(LIRCCLIENT_FOUND TRUE)
    endif()
endif()
add_feature_info(LIRCCLIENT LIRCCLIENT_FOUND "The LIRC client library, for remote control support")

# --------------------------------------------------------

# Print out a summary of what was found and what is missing
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# --------------------------------------------------------


# Unit tests disabled: use a static lib
# Unit tests enabled: use shared libs, to speed up linking
if(BUILD_TESTING)
    set(RG_LIBRARY_TYPE SHARED)
    message(STATUS "Building unit tests, using shared libraries")
else()
    set(RG_LIBRARY_TYPE STATIC)
    set(ROSEGARDENPRIVATE_STATIC_BUILD TRUE) # for generating rosegardenprivate-export.h
    message(STATUS "Not building unit tests, using a static library for rosegarden")
endif()


# --------------------------------------------------------

add_subdirectory(src)
add_subdirectory(data)

if(BUILD_TESTING)
    add_subdirectory(test)
endif()

=== debian/changelog ===
rosegarden (1:19.06-1) unstable; urgency=medium

  * New upstream release.
  * Update to debhelper compat 12.
  * Declare Rules-Requires-Root: no.

 -- Stuart Prescott <stuart@debian.org>  Sat, 29 Jun 2019 19:21:56 +1000

=== debian/control ===
Source: rosegarden
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Stuart Prescott <stuart@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 dssi-dev (>= 0.4),
 fftw3-dev,
 ladspa-sdk,
 libasound2-dev (>= 1.0.0),
 libjack-dev,
 liblircclient-dev,
 liblo-dev,
 liblrdf0-dev,
 libsamplerate-dev,
 libsm-dev,
 libsndfile1-dev,
 libx11-dev,
 libz-dev,
 pkg-config,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 shared-mime-info,
 xutils-dev,
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://www.rosegardenmusic.com/
Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/rosegarden

Package: rosegarden
Architecture: any
Depends:
 flac,
 libxml-twig-perl,
 sndfile-programs,
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 rosegarden-data
Conflicts:
 rosegarden-data
Recommends:
 cups-bsd | lpr,
 ghostscript,
 jackd,
 konqueror | www-browser,
 lilypond,
 okular | pdf-viewer,
 swh-plugins | ladspa-plugin,
 wavpack
Suggests:
 awesfx,
 qjackctl
Description: music editor and MIDI/audio sequencer
 Rosegarden is a Qt application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.

## rosegarden 19.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,8 @@
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "19.06")
-set(ROSEGARDEN_CODENAME "Xerxes")
-#set(ROSEGARDEN_CODENAME "Yesterday")
+set(ROSEGARDEN_VERSION "19.12")
+set(ROSEGARDEN_CODENAME "Yesterday")
 #set(ROSEGARDEN_CODENAME "Zepherine Drouhin")
 #set(ROSEGARDEN_CODENAME "Altissimo")
 #set(ROSEGARDEN_CODENAME "Bouquet d'Or")

=== src/CMakeLists.txt ===
# Building the rosegarden executable

# Define where to build the targets : at the top of the build tree
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})

# Compiler definitions
configure_file(rosegarden-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/rosegarden-version.h )

# Export macros
configure_file(rosegardenprivate_export.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/rosegardenprivate_export.h)
add_definitions(-DROSEGARDENPRIVATE_LIB_MAKEDLL)

# Define the include paths (-I...)
include_directories(
    ${ZLIB_INCLUDE_DIR}
    ${X11_INCLUDE_DIR}
    ${LIBLO_INCLUDE_DIRS}
    ${LRDF_INCLUDE_DIRS}
    ${FFTW3F_INCLUDE_DIRS}
    ${SAMPLERATE_INCLUDE_DIRS}
)

set(rg_OPTIONAL_LIBS )

# For each optional dependency: if found, set a -D definition, a -I include path, and add lib to the list
if(SNDFILE_FOUND)
    include_directories(${SNDFILE_INCLUDE_DIRS})
    add_definitions(-DHAVE_LIBSNDFILE)
    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${SNDFILE_LIBRARIES})
endif()

if(JACK_FOUND)
    include_directories(${JACK_INCLUDE_DIRS})
    add_definitions(-DHAVE_LIBJACK)
    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${JACK_LIBRARIES})
endif()

if(LIRCCLIENT_FOUND)
    include_directories(${LIRCCLIENT_INCLUDE_DIR})
    add_definitions(-DHAVE_LIRC)
    set(CMAKE_AUTOMOC_MOC_OPTIONS ${CMAKE_AUTOMOC_MOC_OPTIONS} -DHAVE_LIRC) # for cmake 2.8.12, fixed in 2.8.12.1 (https://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=a1b9465b)
    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${LIRCCLIENT_LIBRARY})
endif()

if(ALSA_FOUND)
    include_directories(${ALSA_INCLUDE_DIR})
    add_definitions(-DHAVE_ALSA)
    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${ALSA_LIBRARIES})
endif()

set(rg_CPPS
  document/GzipFile.cpp
  document/LinkedSegmentsCommand.cpp
  document/Command.cpp
  document/BasicCommand.cpp
  document/RoseXmlHandler.cpp
  document/CommandRegistry.cpp
  document/DocumentGet.cpp
  document/io/PercussionMap.cpp
  document/io/MusicXmlExporter.cpp
  document/io/LilyPondLanguage.cpp
  document/io/MusicXMLLoader.cpp
  document/io/MupExporter.cpp
  document/io/LilyPondSegmentsContext.cpp
  document/io/HydrogenLoader.cpp
  document/io/MusicXMLImportHelper.cpp
  document/io/LilyPondExporter.cpp
  document/io/MusicXMLXMLHandler.cpp
  document/io/HydrogenXMLHandler.cpp
  document/io/MusicXmlExportHelper.cpp
  document/io/CsoundExporter.cpp
  document/io/RG21Loader.cpp
  document/RosegardenDocument.cpp
  document/XmlStorableEvent.cpp
  document/CommandHistory.cpp
  document/BasicSelectionCommand.cpp
  document/XmlSubHandler.cpp
  document/MetadataHelper.cpp
  misc/ConfigGroups.cpp
  misc/TempDir.cpp
  misc/AppendLabel.cpp
  misc/Debug.cpp
  misc/Version.cpp
  misc/Strings.cpp
  gui/dialogs/PasteNotationDialog.cpp
  gui/dialogs/ConfigureDialogBase.cpp
  gui/dialogs/PitchDialog.cpp
  gui/dialogs/InterpretDialog.cpp
  gui/dialogs/ImportDeviceDialog.cpp
  gui/dialogs/UnusedAudioSelectionDialog.cpp
  gui/dialogs/TrackLabelDialog.cpp
  gui/dialogs/TupletDialog.cpp
  gui/dialogs/ManageMetronomeDialog.cpp
  gui/dialogs/MarkerModifyDialog.cpp
  gui/dialogs/MakeOrnamentDialog.cpp
  gui/dialogs/ClefDialog.cpp
  gui/dialogs/AudioPluginDialog.cpp
  gui/dialogs/ExportDeviceDialog.cpp
  gui/dialogs/DialogSuppressor.cpp
  gui/dialogs/CountdownDialog.cpp
  gui/dialogs/LyricEditDialog.cpp
  gui/dialogs/CountdownBar.cpp
  gui/dialogs/CompositionLengthDialog.cpp
  gui/dialogs/BeatsBarsDialog.cpp
  gui/dialogs/PitchBendSequenceDialog.cpp
  gui/dialogs/TimeSignatureDialog.cpp
  gui/dialogs/SimpleEventEditDialog.cpp
  gui/dialogs/TempoDialog.cpp
  gui/dialogs/AudioPlayingDialog.cpp
  gui/dialogs/TextEventDialog.cpp
  gui/dialogs/IdentifyTextCodecDialog.cpp
  gui/dialogs/EventFilterDialog.cpp
  gui/dialogs/MusicXMLOptionsDialog.cpp
  gui/dialogs/TriggerSegmentDialog.cpp
  gui/dialogs/FileMergeDialog.cpp
  gui/dialogs/PitchPickerDialog.cpp
  gui/dialogs/ConfigureDialog.cpp
  gui/dialogs/AudioSplitDialog.cpp
  gui/dialogs/KeySignatureDialog.cpp
  gui/dialogs/FileLocateDialog.cpp
  gui/dialogs/SplitByRecordingSrcDialog.cpp
  gui/dialogs/DocumentConfigureDialog.cpp
  gui/dialogs/IntervalDialog.cpp
  gui/dialogs/InsertTupletDialog.cpp
  gui/dialogs/TransportDialog.cpp
  gui/dialogs/ShowSequencerStatusDialog.cpp
  gui/dialogs/EventEditDialog.cpp
  gui/dialogs/QuantizeDialog.cpp
  gui/dialogs/CheckForParallelsDialog.cpp
  gui/dialogs/FloatEdit.cpp
  gui/dialogs/TimeDialog.cpp
  gui/dialogs/SelectDialog.cpp
  gui/dialogs/RescaleDialog.cpp
  gui/dialogs/EventParameterDialog.cpp
  gui/dialogs/AboutDialog.cpp
  gui/dialogs/LilyPondOptionsDialog.cpp
  gui/dialogs/SplitByPitchDialog.cpp
  gui/dialogs/AddTracksDialog.cpp
  gui/dialogs/GeneratedRegionDialog.cpp
  gui/dialogs/AudioManagerDialog.cpp
  gui/dialogs/UseOrnamentDialog.cpp
  gui/dialogs/CommentsPopupDialog.cpp
  gui/widgets/IconStackedWidget.cpp
  gui/widgets/TristateCheckBox.cpp
  gui/widgets/FileDialog.cpp
  gui/widgets/FontRequester.cpp
  gui/widgets/TimeWidget.cpp
  gui/widgets/WarningGroupBox.cpp
  gui/widgets/MidiFaderWidget.cpp
  gui/widgets/ProgressBar.cpp
  gui/widgets/Panned.cpp
  gui/widgets/AudioVUMeter.cpp
  gui/widgets/ZoomSlider.cpp
  gui/widgets/SqueezedLabel.cpp
  gui/widgets/Rotary.cpp
  gui/widgets/ScrollBoxDialog.cpp
  gui/widgets/AudioListView.cpp
  gui/widgets/LedButton.cpp
  gui/widgets/InputDialog.cpp
  gui/widgets/LilyVersionAwareCheckBox.cpp
  gui/widgets/Fader.cpp
  gui/widgets/Panner.cpp
  gui/widgets/LineEdit.cpp
  gui/widgets/CheckButton.cpp
  gui/widgets/PitchDragLabel.cpp
  gui/widgets/PluginControl.cpp
  gui/widgets/AudioFaderBox.cpp
  gui/widgets/QuantizeParameters.cpp
  gui/widgets/ColourTableItem.cpp
  gui/widgets/VUMeter.cpp
  gui/widgets/TmpStatusMsg.cpp
  gui/widgets/BaseTextFloat.cpp
  gui/widgets/Label.cpp
  gui/widgets/InstrumentAliasButton.cpp
  gui/widgets/IconButton.cpp
  gui/widgets/StartupLogo.cpp
  gui/widgets/DeferScrollArea.cpp
  gui/widgets/Thumbwheel.cpp
  gui/widgets/CollapsingFrame.cpp
  gui/widgets/PluginPushButton.cpp
  gui/widgets/WheelyButton.cpp
  gui/widgets/DiatonicPitchChooser.cpp
  gui/widgets/Led.cpp
  gui/widgets/WarningDialog.cpp
  gui/widgets/AudioRouteMenu.cpp
  gui/widgets/ScrollBox.cpp
  gui/widgets/ColourTable.cpp
  gui/widgets/PitchChooser.cpp
  gui/widgets/WarningWidget.cpp
  gui/widgets/TextFloat.cpp
  gui/widgets/ColorCombo.cpp
  gui/editors/pitchtracker/PitchHistory.cpp
  gui/editors/pitchtracker/PitchTrackerView.cpp
  gui/editors/pitchtracker/PitchGraphWidget.cpp
  gui/editors/guitar/GuitarChordSelectorDialog.cpp
  gui/editors/guitar/FingeringListBoxItem.cpp
  gui/editors/guitar/ChordXmlHandler.cpp
  gui/editors/guitar/ChordMap.cpp
  gui/editors/guitar/Chord.cpp
  gui/editors/guitar/Fingering.cpp
  gui/editors/guitar/NoteSymbols.cpp
  gui/editors/guitar/GuitarChordEditorDialog.cpp
  gui/editors/guitar/FingeringBox.cpp
  gui/editors/parameters/RosegardenParameterBox.cpp
  gui/editors/parameters/AudioInstrumentParameterPanel.cpp
  gui/editors/parameters/TrackParameterBox.cpp
  gui/editors/parameters/InstrumentParameterBox.cpp
  gui/editors/parameters/MIDIInstrumentParameterPanel.cpp
  gui/editors/parameters/RosegardenParameterArea.cpp
  gui/editors/parameters/InstrumentParameterPanel.cpp
  gui/editors/parameters/SegmentParameterBox.cpp
  gui/editors/notation/NotationCommandRegistry.cpp
  gui/editors/notation/NotationEraser.cpp
  gui/editors/notation/NoteFontFactory.cpp
  gui/editors/notation/NoteItem.cpp
  gui/editors/notation/NotationStrings.cpp
  gui/editors/notation/SystemFontQt.cpp
  gui/editors/notation/NotationChord.cpp
  gui/editors/notation/NotationToolBox.cpp
  gui/editors/notation/BarLineItem.cpp
  gui/editors/notation/NoteFontMap.cpp
  gui/editors/notation/NoteCharacter.cpp
  gui/editors/notation/StaffHeader.cpp
  gui/editors/notation/TextInserter.cpp
  gui/editors/notation/NotationElement.cpp
  gui/editors/notation/NoteCharacterNames.cpp
  gui/editors/notation/NotationSelector.cpp
  gui/editors/notation/NoteStyle.cpp
  gui/editors/notation/NotationStaff.cpp
  gui/editors/notation/SymbolInserter.cpp
  gui/editors/notation/ClefKeyContext.cpp
  gui/editors/notation/ClefInserter.cpp
  gui/editors/notation/NotationWidget.cpp
  gui/editors/notation/StaffLayout.cpp
  gui/editors/notation/NotationHLayout.cpp
  gui/editors/notation/GuitarChordInserter.cpp
  gui/editors/notation/HeadersGroup.cpp
  gui/editors/notation/FontViewFrame.cpp
  gui/editors/notation/NotationGroup.cpp
  gui/editors/notation/NotationView.cpp
  gui/editors/notation/NotationVLayout.cpp
  gui/editors/notation/NoteFont.cpp
  gui/editors/notation/NotationScene.cpp
  gui/editors/notation/NoteRestInserter.cpp
  gui/editors/notation/NoteStyleFactory.cpp
  gui/editors/notation/NoteStyleFileReader.cpp
  gui/editors/notation/NotationTool.cpp
  gui/editors/notation/NotationProperties.cpp
  gui/editors/notation/NoteFontViewer.cpp
  gui/editors/notation/NotePixmapFactory.cpp
  gui/editors/notation/SystemFont.cpp
  gui/editors/notation/NotePixmapParameters.cpp
  gui/editors/tempo/TempoListItem.cpp
  gui/editors/tempo/TempoView.cpp
  gui/editors/matrix/MatrixView.cpp
  gui/editors/matrix/MatrixElement.cpp
  gui/editors/matrix/PianoKeyboard.cpp
  gui/editors/matrix/MatrixMover.cpp
  gui/editors/matrix/MatrixWidget.cpp
  gui/editors/matrix/MatrixCommandRegistry.cpp
  gui/editors/matrix/MatrixScene.cpp
  gui/editors/matrix/MatrixEraser.cpp
  gui/editors/matrix/MatrixTool.cpp
  gui/editors/matrix/MatrixPainter.cpp
  gui/editors/matrix/MatrixResizer.cpp
  gui/editors/matrix/MatrixVelocity.cpp
  gui/editors/matrix/MatrixViewSegment.cpp
  gui/editors/matrix/MatrixSelector.cpp
  gui/editors/matrix/MatrixToolBox.cpp
  gui/editors/eventlist/TrivialVelocityDialog.cpp
  gui/editors/eventlist/EventView.cpp
  gui/editors/eventlist/EventViewItem.cpp
  gui/editors/segment/TriggerManagerItem.cpp
  gui/editors/segment/PlayListView.cpp
  gui/editors/segment/TrackButtons.cpp
  gui/editors/segment/TrackVUMeter.cpp
  gui/editors/segment/TriggerSegmentManager.cpp
  gui/editors/segment/MarkerEditorViewItem.cpp
  gui/editors/segment/TrackLabel.cpp
  gui/editors/segment/PlayListDialog.cpp
  gui/editors/segment/compositionview/SegmentRect.cpp
  gui/editors/segment/compositionview/SegmentToolBox.cpp
  gui/editors/segment/compositionview/SegmentOrderer.cpp
  gui/editors/segment/compositionview/SegmentEraser.cpp
  gui/editors/segment/compositionview/SegmentPencil.cpp
  gui/editors/segment/compositionview/SegmentItemPreview.cpp
  gui/editors/segment/compositionview/CompositionModelImpl.cpp
  gui/editors/segment/compositionview/CompositionView.cpp
  gui/editors/segment/compositionview/AudioPeaksReadyEvent.cpp
  gui/editors/segment/compositionview/SegmentSelector.cpp
  gui/editors/segment/compositionview/ChangingSegment.cpp
  gui/editors/segment/compositionview/SegmentTool.cpp
  gui/editors/segment/compositionview/AudioPreviewPainter.cpp
  gui/editors/segment/compositionview/CompositionColourCache.cpp
  gui/editors/segment/compositionview/SegmentResizer.cpp
  gui/editors/segment/compositionview/AudioPeaksThread.cpp
  gui/editors/segment/compositionview/SegmentSplitter.cpp
  gui/editors/segment/compositionview/AudioPeaksGenerator.cpp
  gui/editors/segment/compositionview/SegmentMover.cpp
  gui/editors/segment/compositionview/SegmentJoiner.cpp
  gui/editors/segment/PlayList.cpp
  gui/editors/segment/PlayListViewItem.cpp
  gui/editors/segment/MarkerEditor.cpp
  gui/editors/segment/TrackEditor.cpp
  gui/configuration/ColourConfigurationPage.cpp
  gui/configuration/MatrixConfigurationPage.cpp
  gui/configuration/MIDIConfigurationPage.cpp
  gui/configuration/DocumentMetaConfigurationPage.cpp
  gui/configuration/TabbedConfigurationPage.cpp
  gui/configuration/NotationConfigurationPage.cpp
  gui/configuration/AudioConfigurationPage.cpp
  gui/configuration/AudioPropertiesPage.cpp
  gui/configuration/PitchTrackerConfigurationPage.cpp
  gui/configuration/HeadersConfigurationPage.cpp
  gui/configuration/CommentsConfigurationPage.cpp

=== test/CMakeLists.txt ===
include_directories(../src ${CMAKE_CURRENT_BINARY_DIR}/../src)

# Code factorization: this macro defines unit tests
macro(RG_UNIT_TESTS)
   foreach(_testname ${ARGN})
      add_executable(${_testname} ${_testname}.cpp)
      add_test(${_testname} ${CMAKE_CURRENT_BINARY_DIR}/${_testname})
      target_link_libraries(${_testname} ${QT_QTTEST_LIBRARY} ${QT_QTGUI_LIBRARY} rosegardenprivate)
      set_target_properties(${_testname} PROPERTIES COMPILE_FLAGS -DSRCDIR="\\"${CMAKE_CURRENT_SOURCE_DIR}/\\"")
   endforeach(_testname)
endmacro()

# Each line here defines a unit test (the executable name matches the .cpp filename)
RG_UNIT_TESTS(
   accidentals
   segmenttransposecommand
   test_notationview_selection
   transpose
   reference_segment
)

add_subdirectory(lilypond)

=== test/base/Makefile ===

# debug flags need to be consistent with base build
#CPPFLAGS = -O2 
CPPFLAGS = -g 

LIBBASE  = ../../../RGbuild/libRosegardenCommon.a

INCPATH  = -I..

SRCS	:= test.C pitch.C

default: test utf8 colour transpose accidentals realtime

clean:
	rm -f test test.o pitch pitch.o utf8 utf8.o colour colour.o transpose.o transpose accidentals.o accidentals realtime.o realtime

%.o: %.cpp
	$(CXX) $(CPPFLAGS) -c $< $(INCPATH) -o $@

test: test.o
	$(CXX) $< $(LIBBASE) -o $@

pitch: pitch.o
	$(CXX) $< $(LIBBASE) -o $@

utf8: utf8.o
	$(CXX) $< $(LIBBASE) -o $@

colour: colour.o
	$(CXX) $< $(LIBBASE) -o $@

transpose: transpose.o
	$(CXX) $< $(LIBBASE) -o $@

accidentals: accidentals.o
	$(CXX) $< $(LIBBASE) -o $@

realtime: realtime.o
	$(CXX) $< $(LIBBASE) -o $@


depend:
	makedepend $(INCPATH) -- $(CPPFLAGS) -- $(SRCS)

# DO NOT DELETE

test.o: ../Event.h ../PropertyMap.h ../Property.h ../RealTime.h
test.o: ../PropertyName.h ../Exception.h ../Segment.h ../Track.h
test.o: ../XmlExportable.h ../Instrument.h ../NotationTypes.h #../StringHash.h
test.o: ../XmlExportable.h ../Instrument.h ../NotationTypes.h 
test.o: ../RefreshStatus.h ../Composition.h
test.o: ../Configuration.h ../ColourMap.h ../Colour.h
test.o: ../SegmentNotationHelper.h ../SegmentPerformanceHelper.h
test.o: ../MidiTypes.h
pitch.o: ../NotationTypes.h ../Event.h ../PropertyMap.h ../Property.h
pitch.o: ../RealTime.h ../PropertyName.h ../Exception.h ../Instrument.h
pitch.o: ../XmlExportable.h #../StringHash.h

transpose.o: ../NotationTypes.h 
accidentals.o: ../NotationTypes.h 
realtime.o: ../RealTime.h ../RealTime.cpp

=== debian/changelog ===
rosegarden (1:19.12-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:25:02 +0100

rosegarden (1:19.12-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 17 Dec 2019 23:46:29 +1100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  qttools5-dev-tools,
  shared-mime-info,
  xutils-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://www.rosegardenmusic.com/
 Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git

=== debian/watch ===
version=3

https://sf.net/rosegarden/rosegarden-(1.+)\.tar\.bz2

## rosegarden 20.06

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,8 @@
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "19.12")
-set(ROSEGARDEN_CODENAME "Yesterday")
-#set(ROSEGARDEN_CODENAME "Zepherine Drouhin")
+set(ROSEGARDEN_VERSION "20.06")
+set(ROSEGARDEN_CODENAME "Zepherine Drouhin")
 #set(ROSEGARDEN_CODENAME "Altissimo")
 #set(ROSEGARDEN_CODENAME "Bouquet d'Or")
 #set(ROSEGARDEN_CODENAME "Cloud Nine")
@@ -25,6 +24,15 @@
 #set(ROSEGARDEN_CODENAME "Orange Flame")
 #set(ROSEGARDEN_CODENAME "Purple Rain")
 #set(ROSEGARDEN_CODENAME "Quietness")
+#set(ROSEGARDEN_CODENAME "Raphaela")
+#set(ROSEGARDEN_CODENAME "Sagesse de Lune")
+#set(ROSEGARDEN_CODENAME "Tangerine Dream")
+#set(ROSEGARDEN_CODENAME "Uncle Buck")
+#set(ROSEGARDEN_CODENAME "Van Gogh")
+#set(ROSEGARDEN_CODENAME "Waterlily")
+#set(ROSEGARDEN_CODENAME "Xenophon")
+#set(ROSEGARDEN_CODENAME "Yellow Brick Road")
+#set(ROSEGARDEN_CODENAME "Zaïd")
 
 # Make the build type default to "Release"
 if(NOT CMAKE_BUILD_TYPE)

=== debian/changelog ===
rosegarden (1:20.06-1) unstable; urgency=medium

  * New upstream version 20.06
  * Update dh-compat to 13
  * Bump S-V to 4.5.0
  * Add me as uploader
  * Add d/upstream/metadata
  * d/copyright: Remove unused test/base/colour.cpp entry
  * d/copyright: Bump copyright year
  * Update d/watch file

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 03 Jul 2020 20:21:21 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
- Stuart Prescott <stuart@debian.org>
+ Stuart Prescott <stuart@debian.org>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dssi-dev (>= 0.4),
  fftw3-dev,
  ladspa-sdk,
@@ -27,7 +28,7 @@
  qttools5-dev-tools,
  shared-mime-info,
  xutils-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.rosegardenmusic.com/
 Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git

=== debian/watch ===
version=3

https://sf.net/rosegarden/rosegarden-(2.+)\.tar\.bz2

## rosegarden 20.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,8 @@
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "20.06")
-set(ROSEGARDEN_CODENAME "Zepherine Drouhin")
-#set(ROSEGARDEN_CODENAME "Altissimo")
+set(ROSEGARDEN_VERSION "20.12")
+set(ROSEGARDEN_CODENAME "Altissimo")
 #set(ROSEGARDEN_CODENAME "Bouquet d'Or")
 #set(ROSEGARDEN_CODENAME "Cloud Nine")
 #set(ROSEGARDEN_CODENAME "Distant Drums")

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -12,11 +12,15 @@
 
 # Each line here defines a unit test (the executable name matches the .cpp filename)
 RG_UNIT_TESTS(
+   realtime
    accidentals
    segmenttransposecommand
    test_notationview_selection
    transpose
    reference_segment
+   utf8
+   testmisc
 )
 
 add_subdirectory(lilypond)
+

=== test/lilypond/CMakeLists.txt ===
RG_UNIT_TESTS(
   lilypond_export_test
)

=== debian/changelog ===
rosegarden (1:20.12-1) unstable; urgency=medium

  * New upstream version 20.12
  * Drop QPainterPath_compilation patch, applied by upstream
  * Drop src/gui/configuration/ConfigurationPage.h from d/copyright
  * Bump d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 13 Dec 2020 18:01:42 +0100

rosegarden (1:20.06-2) unstable; urgency=medium

  * Fix QPainterPath compilation error (Closes: #975143)
  * Bump S-V to 4.5.1

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 19 Nov 2020 13:52:05 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  qttools5-dev-tools,
  shared-mime-info,
  xutils-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.rosegardenmusic.com/
 Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git

## rosegarden 21.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,8 @@
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "20.12")
-set(ROSEGARDEN_CODENAME "Altissimo")
-#set(ROSEGARDEN_CODENAME "Bouquet d'Or")
-#set(ROSEGARDEN_CODENAME "Cloud Nine")
+set(ROSEGARDEN_VERSION "21.12")
+set(ROSEGARDEN_CODENAME "Cloud Nine")
 #set(ROSEGARDEN_CODENAME "Distant Drums")
 #set(ROSEGARDEN_CODENAME "Enchantress")
 #set(ROSEGARDEN_CODENAME "Flutterbye")
@@ -104,17 +102,32 @@
 
 # Required dependencies ---------------------------------------
 
-# Qt5 is required.
-find_package(Qt5 "5.1.0" REQUIRED COMPONENTS Core Gui Widgets Xml Network PrintSupport Test)
-
-set(QT_QTCORE_LIBRARY Qt5::Core)
-set(QT_QTGUI_LIBRARY Qt5::Widgets Qt5::PrintSupport)
-set(QT_QTXML_LIBRARY Qt5::Xml)
-set(QT_QTNETWORK_LIBRARY Qt5::Network)
-set(QT_QTTEST_LIBRARY Qt5::Test)
-
-set(QT_RCC_EXECUTABLE ${Qt5Core_RCC_EXECUTABLE})
-
+option(USE_QT6 "Compile with Qt6." OFF)
+
+if (USE_QT6)
+  # Qt6 is required.
+  find_package(Qt6 "6.0.0" REQUIRED COMPONENTS CoreTools Core GuiTools Gui WidgetsTools Widgets Xml Network PrintSupport Test Core5Compat)
+  
+  set(QT_QTCORE_LIBRARY Qt6::Core)
+  set(QT_QTCORE5COMPAT_LIBRARY Qt6::Core5Compat)
+  set(QT_QTGUI_LIBRARY Qt6::Widgets Qt6::PrintSupport)
+  set(QT_QTXML_LIBRARY Qt6::Xml)
+  set(QT_QTNETWORK_LIBRARY Qt6::Network)
+  set(QT_QTTEST_LIBRARY Qt6::Test)
+  
+  set(QT_RCC_EXECUTABLE Qt::rcc)
+else()
+  # Qt5 is required.
+  find_package(Qt5 "5.1.0" REQUIRED COMPONENTS Core Gui Widgets Xml Network PrintSupport Test)
+  
+  set(QT_QTCORE_LIBRARY Qt5::Core)
+  set(QT_QTGUI_LIBRARY Qt5::Widgets Qt5::PrintSupport)
+  set(QT_QTXML_LIBRARY Qt5::Xml)
+  set(QT_QTNETWORK_LIBRARY Qt5::Network)
+  set(QT_QTTEST_LIBRARY Qt5::Test)
+  
+  set(QT_RCC_EXECUTABLE ${Qt5Core_RCC_EXECUTABLE})
+endif()
 
 find_path(LADSPA_INCLUDE_DIR ladspa.h)
 if(NOT LADSPA_INCLUDE_DIR)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
 )
 
 set(rg_OPTIONAL_LIBS )
+set(rg_OPTIONAL_LIB_DIRS )
 
 # For each optional dependency: if found, set a -D definition, a -I include path, and add lib to the list
 if(SNDFILE_FOUND)
@@ -34,6 +35,7 @@
     include_directories(${JACK_INCLUDE_DIRS})
     add_definitions(-DHAVE_LIBJACK)
     set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${JACK_LIBRARIES})
+    set(rg_OPTIONAL_LIB_DIRS ${rg_OPTIONAL_LIB_DIRS} ${JACK_LIBRARY_DIRS})
 endif()
 
 if(LIRCCLIENT_FOUND)
@@ -56,7 +58,8 @@
   document/BasicCommand.cpp
   document/RoseXmlHandler.cpp
   document/CommandRegistry.cpp
-  document/DocumentGet.cpp
+  document/io/XMLReader.cpp
+  document/io/XMLHandler.cpp
   document/io/PercussionMap.cpp
   document/io/MusicXmlExporter.cpp
   document/io/LilyPondLanguage.cpp
@@ -83,6 +86,7 @@
   misc/Debug.cpp
   misc/Version.cpp
   misc/Strings.cpp
+  misc/Preferences.cpp
   gui/dialogs/PasteNotationDialog.cpp
   gui/dialogs/ConfigureDialogBase.cpp
   gui/dialogs/PitchDialog.cpp
@@ -311,6 +315,3 @@
   gui/configuration/NotationConfigurationPage.cpp
   gui/configuration/AudioConfigurationPage.cpp
   gui/configuration/AudioPropertiesPage.cpp
-  gui/configuration/PitchTrackerConfigurationPage.cpp
-  gui/configuration/HeadersConfigurationPage.cpp
-  gui/configuration/CommentsConfigurationPage.cpp

=== debian/changelog ===
rosegarden (1:21.12-1) unstable; urgency=medium

  * New upstream version 21.12
  * Update lintian-overrides
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 03 Feb 2022 22:37:05 +0100

rosegarden (1:21.06.1-1) unstable; urgency=medium

  * New upstream version 21.06.1
  * Bump Standards-Version to 4.6.0, no changes needed
  * Add lintian-overrides
  * Fix spelling error in TranzportClient

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 20 Oct 2021 09:23:21 +1100

rosegarden (1:21.06-1) experimental; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Mon, 28 Jun 2021 17:28:56 +1000

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  qttools5-dev-tools,
  shared-mime-info,
  xutils-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.rosegardenmusic.com/
 Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=false

## rosegarden 22.06

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,8 @@
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "21.12")
-set(ROSEGARDEN_CODENAME "Cloud Nine")
-#set(ROSEGARDEN_CODENAME "Distant Drums")
+set(ROSEGARDEN_VERSION "22.06")
+set(ROSEGARDEN_CODENAME "Distant Drums")
 #set(ROSEGARDEN_CODENAME "Enchantress")
 #set(ROSEGARDEN_CODENAME "Flutterbye")
 #set(ROSEGARDEN_CODENAME "Grace Note")
@@ -167,7 +166,12 @@
 pkg_check_modules(SNDFILE sndfile>=1.0.16)
 add_feature_info(SNDFILE SNDFILE_FOUND "Better support for WAV files")
 
-pkg_check_modules(JACK jack)
+pkg_check_modules(PC_JACK jack)
+# Use find_library to turn it into a full path
+find_library(JACK_LIBRARIES NAMES ${PC_JACK_LIBRARIES} jack PATHS ${PC_JACK_LIBRARY_DIRS})
+if(JACK_LIBRARIES)
+    set(JACK_FOUND TRUE)
+endif()
 if(JACK_FOUND)
     add_feature_info(JACK JACK_FOUND "Library for accessing the JACK server (http://jackaudio.org).")
 else()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,6 @@
 )
 
 set(rg_OPTIONAL_LIBS )
-set(rg_OPTIONAL_LIB_DIRS )
 
 # For each optional dependency: if found, set a -D definition, a -I include path, and add lib to the list
 if(SNDFILE_FOUND)
@@ -35,7 +34,6 @@
     include_directories(${JACK_INCLUDE_DIRS})
     add_definitions(-DHAVE_LIBJACK)
     set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${JACK_LIBRARIES})
-    set(rg_OPTIONAL_LIB_DIRS ${rg_OPTIONAL_LIB_DIRS} ${JACK_LIBRARY_DIRS})
 endif()
 
 if(LIRCCLIENT_FOUND)
@@ -77,7 +75,6 @@
   document/RosegardenDocument.cpp
   document/XmlStorableEvent.cpp
   document/CommandHistory.cpp
-  document/BasicSelectionCommand.cpp
   document/XmlSubHandler.cpp
   document/MetadataHelper.cpp
   misc/ConfigGroups.cpp
@@ -87,6 +84,7 @@
   misc/Version.cpp
   misc/Strings.cpp
   misc/Preferences.cpp
+  gui/dialogs/AudioFileLocationDialog.cpp
   gui/dialogs/PasteNotationDialog.cpp
   gui/dialogs/ConfigureDialogBase.cpp
   gui/dialogs/PitchDialog.cpp
@@ -145,6 +143,9 @@
   gui/dialogs/AudioManagerDialog.cpp
   gui/dialogs/UseOrnamentDialog.cpp
   gui/dialogs/CommentsPopupDialog.cpp
+  gui/dialogs/ShortcutDialog.cpp
+  gui/dialogs/ShortcutDelegate.cpp
+  gui/dialogs/ShortcutWarnDialog.cpp
   gui/widgets/IconStackedWidget.cpp
   gui/widgets/TristateCheckBox.cpp
   gui/widgets/FileDialog.cpp
@@ -176,7 +177,6 @@
   gui/widgets/TmpStatusMsg.cpp
   gui/widgets/BaseTextFloat.cpp
   gui/widgets/Label.cpp
-  gui/widgets/InstrumentAliasButton.cpp
   gui/widgets/IconButton.cpp
   gui/widgets/StartupLogo.cpp
   gui/widgets/DeferScrollArea.cpp

=== debian/changelog ===
rosegarden (1:22.06-1) unstable; urgency=medium

  * New upstream version 22.06
  * Refresh spelling error patch
  * Use libjack-jackd2-dev as preferable B-D and libjack-dev as optional
  * Bump Standards Version to 4.6.1
  * d/copyright: Bump year and add myself to the d/ section
  * Update lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 12 Jun 2022 12:56:10 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  fftw3-dev,
  ladspa-sdk,
  libasound2-dev (>= 1.0.0),
- libjack-dev,
+ libjack-jackd2-dev | libjack-dev,
  liblircclient-dev,
  liblo-dev,
  liblrdf0-dev,
@@ -28,7 +28,7 @@
  qttools5-dev-tools,
  shared-mime-info,
  xutils-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.rosegardenmusic.com/
 Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git

## rosegarden 22.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,8 @@
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "22.06")
-set(ROSEGARDEN_CODENAME "Distant Drums")
-#set(ROSEGARDEN_CODENAME "Enchantress")
+set(ROSEGARDEN_VERSION "22.12.1")
+set(ROSEGARDEN_CODENAME "Enchantress")
 #set(ROSEGARDEN_CODENAME "Flutterbye")
 #set(ROSEGARDEN_CODENAME "Grace Note")
 #set(ROSEGARDEN_CODENAME "Hermosa")
@@ -77,7 +76,7 @@
 
 # Compiler flags
 
-set(CMAKE_CXX_STANDARD 11) # Enable C++11
+set(CMAKE_CXX_STANDARD 14) # Enable C++14
 
 if(CMAKE_COMPILER_IS_GNUCXX)
    if(CMAKE_SYSTEM_NAME MATCHES Linux OR CMAKE_SYSTEM_NAME STREQUAL GNU)
@@ -106,25 +105,25 @@
 if (USE_QT6)
   # Qt6 is required.
   find_package(Qt6 "6.0.0" REQUIRED COMPONENTS CoreTools Core GuiTools Gui WidgetsTools Widgets Xml Network PrintSupport Test Core5Compat)
-  
+
   set(QT_QTCORE_LIBRARY Qt6::Core)
   set(QT_QTCORE5COMPAT_LIBRARY Qt6::Core5Compat)
   set(QT_QTGUI_LIBRARY Qt6::Widgets Qt6::PrintSupport)
   set(QT_QTXML_LIBRARY Qt6::Xml)
   set(QT_QTNETWORK_LIBRARY Qt6::Network)
   set(QT_QTTEST_LIBRARY Qt6::Test)
-  
+
   set(QT_RCC_EXECUTABLE Qt::rcc)
 else()
   # Qt5 is required.
   find_package(Qt5 "5.1.0" REQUIRED COMPONENTS Core Gui Widgets Xml Network PrintSupport Test)
-  
+
   set(QT_QTCORE_LIBRARY Qt5::Core)
   set(QT_QTGUI_LIBRARY Qt5::Widgets Qt5::PrintSupport)
   set(QT_QTXML_LIBRARY Qt5::Xml)
   set(QT_QTNETWORK_LIBRARY Qt5::Network)
   set(QT_QTTEST_LIBRARY Qt5::Test)
-  
+
   set(QT_RCC_EXECUTABLE ${Qt5Core_RCC_EXECUTABLE})
 endif()
 
@@ -213,6 +212,19 @@
     message(STATUS "Not building unit tests, using a static library for rosegarden")
 endif()
 
+#########################
+# target for cppcheck
+
+set(CPPCHECK_OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/cppcheck.out)
+
+# dummy_file will never exist so "make cppcheck" always runs cppcheck
+
+add_custom_command(OUTPUT ${CPPCHECK_OUTPUT} dummy_file
+  COMMAND cppcheck cppcheck --enable=all --inconclusive --std=c++11 --inline-suppr --quiet ${CMAKE_CURRENT_SOURCE_DIR}/src >& ${CPPCHECK_OUTPUT})
+
+add_custom_target(cppcheck DEPENDS ${CPPCHECK_OUTPUT} dummy_file)
+#########################
+
 
 # --------------------------------------------------------

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -146,6 +146,7 @@
   gui/dialogs/ShortcutDialog.cpp
   gui/dialogs/ShortcutDelegate.cpp
   gui/dialogs/ShortcutWarnDialog.cpp
+  gui/dialogs/OutOfProcessorPower.cpp
   gui/widgets/IconStackedWidget.cpp
   gui/widgets/TristateCheckBox.cpp
   gui/widgets/FileDialog.cpp

=== debian/changelog ===
rosegarden (1:22.12.1-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:55:40 +1100

rosegarden (1:22.12.1-2build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:01:17 +0000

rosegarden (1:22.12.1-2build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:02:07 +0000

rosegarden (1:22.12.1-2) unstable; urgency=medium

  * Team upload
  * Move from liblircclient-dev to liblirc-dev (Closes: #1059978)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jan 2024 12:49:19 +0100

rosegarden (1:22.12.1-1) unstable; urgency=medium

  * New upstream version 22.12.1
  * Bump Standards-Version to 4.6.2

 -- Dennis Braun <snd@debian.org>  Sun, 25 Dec 2022 17:59:26 +0100

rosegarden (1:22.12-1) unstable; urgency=medium

  * New upstream version 22.12
  * Update d/rosegarden.docs
  * Update d/rosegarden.lintian-overrides

 -- Dennis Braun <snd@debian.org>  Sun, 11 Dec 2022 22:40:25 +0100

rosegarden (1:22.06-2) unstable; urgency=high

  * Update my email address
  * Fix FTBFS with fftw3. Thanks to Bas Couwenberg (Closes: #1025316)
  * Prefer libjack-dev over libjack-jackd2-dev
  * Update rosegarden.lintian-overrides

 -- Dennis Braun <snd@debian.org>  Fri, 02 Dec 2022 23:35:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: rosegarden
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Stuart Prescott <stuart@debian.org>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  dssi-dev (>= 0.4),
- fftw3-dev,
+ libfftw3-dev,
  ladspa-sdk,
  libasound2-dev (>= 1.0.0),
- libjack-jackd2-dev | libjack-dev,
- liblircclient-dev,
+ libjack-dev | libjack-jackd2-dev,
+ liblirc-dev,
  liblo-dev,
  liblrdf0-dev,
  libsamplerate-dev,
@@ -28,7 +29,7 @@
  qttools5-dev-tools,
  shared-mime-info,
  xutils-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.rosegardenmusic.com/
 Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git

=== debian/watch ===
version=4

https://sf.net/rosegarden/rosegarden-(2.+)\.tar\.bz2

## rosegarden 24.06

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,8 @@
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "22.12.1")
-set(ROSEGARDEN_CODENAME "Enchantress")
-#set(ROSEGARDEN_CODENAME "Flutterbye")
-#set(ROSEGARDEN_CODENAME "Grace Note")
-#set(ROSEGARDEN_CODENAME "Hermosa")
+set(ROSEGARDEN_VERSION "24.06")
+set(ROSEGARDEN_CODENAME "Hermosa")
 #set(ROSEGARDEN_CODENAME "Incredible")
 #set(ROSEGARDEN_CODENAME "Joyfulness")
 #set(ROSEGARDEN_CODENAME "Keepsake")
@@ -193,6 +190,25 @@
 endif()
 add_feature_info(LIRCCLIENT LIRCCLIENT_FOUND "The LIRC client library, for remote control support")
 
+# lilv for lv2 plugins
+find_path(LILV_INCLUDE_DIR lilv/lilv.h
+  PATH /usr/include/lilv-0)
+if(NOT LILV_INCLUDE_DIR)
+  message(WARNING "Failed to find Lilv header lilv/lilv.h for lv2 plugins")
+endif()
+find_library(LILV_LIBRARY lilv-0)
+if(NOT LILV_LIBRARY)
+  message(WARNING "Failed to find Lilv library for lv2 plugins")
+endif()
+find_path(LV2_INCLUDE_DIR lv2/urid/urid.h)
+if(NOT LV2_INCLUDE_DIR)
+  message(WARNING "Failed to find LV2 header for lv2 plugins")
+endif()
+if(LILV_INCLUDE_DIR AND LILV_LIBRARY AND LV2_INCLUDE_DIR)
+  set(LILV_FOUND TRUE)
+endif()
+add_feature_info(LILV LILV_FOUND "The Lilv library, for lv2 plugins")
+
 # --------------------------------------------------------
 
 # Print out a summary of what was found and what is missing
@@ -220,7 +236,7 @@
 # dummy_file will never exist so "make cppcheck" always runs cppcheck
 
 add_custom_command(OUTPUT ${CPPCHECK_OUTPUT} dummy_file
-  COMMAND cppcheck cppcheck --enable=all --inconclusive --std=c++11 --inline-suppr --quiet ${CMAKE_CURRENT_SOURCE_DIR}/src >& ${CPPCHECK_OUTPUT})
+  COMMAND cppcheck -I${CMAKE_CURRENT_SOURCE_DIR}/src --force --enable=all --inconclusive --std=c++11 --inline-suppr --quiet --suppress=missingInclude ${CMAKE_CURRENT_SOURCE_DIR}/src >& ${CPPCHECK_OUTPUT})
 
 add_custom_target(cppcheck DEPENDS ${CPPCHECK_OUTPUT} dummy_file)
 #########################

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -43,10 +43,24 @@
     set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${LIRCCLIENT_LIBRARY})
 endif()
 
+if(LILV_FOUND)
+    include_directories(${LILV_INCLUDE_DIR})
+    add_definitions(-DHAVE_LILV)
+    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${LILV_LIBRARY})
+endif()
+
 if(ALSA_FOUND)
     include_directories(${ALSA_INCLUDE_DIR})
     add_definitions(-DHAVE_ALSA)
     set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${ALSA_LIBRARIES})
+endif()
+
+find_package(GTK2)
+if(GTK2_FOUND)
+    include_directories(${GTK2_INCLUDE_DIRS})
+    link_directories(${GTK2_LIBRARY_DIRS})
+    add_definitions(-DHAVE_GTK2)
+    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${GTK2_LIBRARIES})
 endif()
 
 set(rg_CPPS
@@ -98,6 +112,9 @@
   gui/dialogs/MakeOrnamentDialog.cpp
   gui/dialogs/ClefDialog.cpp
   gui/dialogs/AudioPluginDialog.cpp
+  gui/dialogs/AudioPluginParameterDialog.cpp
+  gui/dialogs/AudioPluginPresetDialog.cpp
+  gui/dialogs/AudioPluginConnectionDialog.cpp
   gui/dialogs/ExportDeviceDialog.cpp
   gui/dialogs/DialogSuppressor.cpp
   gui/dialogs/CountdownDialog.cpp
@@ -304,15 +321,3 @@
   gui/editors/segment/compositionview/AudioPeaksGenerator.cpp
   gui/editors/segment/compositionview/SegmentMover.cpp
   gui/editors/segment/compositionview/SegmentJoiner.cpp
-  gui/editors/segment/PlayList.cpp
-  gui/editors/segment/PlayListViewItem.cpp
-  gui/editors/segment/MarkerEditor.cpp
-  gui/editors/segment/TrackEditor.cpp
-  gui/configuration/ColourConfigurationPage.cpp
-  gui/configuration/MatrixConfigurationPage.cpp
-  gui/configuration/MIDIConfigurationPage.cpp
-  gui/configuration/DocumentMetaConfigurationPage.cpp
-  gui/configuration/TabbedConfigurationPage.cpp
-  gui/configuration/NotationConfigurationPage.cpp
-  gui/configuration/AudioConfigurationPage.cpp
-  gui/configuration/AudioPropertiesPage.cpp

=== debian/changelog ===
rosegarden (1:24.06-1) unstable; urgency=medium

  * New upstream version 24.06
  * Bump Standards-Version to 4.7.0
  * pkg-config -> pkgconf
  * Build with Qt6

 -- Dennis Braun <snd@debian.org>  Sat, 15 Jun 2024 21:18:59 +0200

rosegarden (1:23.12-1) unstable; urgency=medium

  * Team upload

  [ Shriram Ravindranathan ]
  * New upstream version 23.12
  * Fix watchfile (new upstream releases use xz instead of bz2)
  * d/rosegarden.lintian-overrides: Remove unused overrides
  * d/copyright: update maintainer copyright to 2024
  * d/gbp.conf: change compression from bzip2 to xz

 -- Dennis Braun <snd@debian.org>  Tue, 12 Mar 2024 19:43:35 +0100

## rosegarden 24.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,8 @@
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "24.06")
-set(ROSEGARDEN_CODENAME "Hermosa")
-#set(ROSEGARDEN_CODENAME "Incredible")
+set(ROSEGARDEN_VERSION "24.12")
+set(ROSEGARDEN_CODENAME "Incredible")
 #set(ROSEGARDEN_CODENAME "Joyfulness")
 #set(ROSEGARDEN_CODENAME "Keepsake")
 #set(ROSEGARDEN_CODENAME "Let Freedom Ring")

=== debian/changelog ===
rosegarden (1:24.12-1) unstable; urgency=medium

  * New upstream version 24.12
  * Drop spelling error patch applied by upstream

 -- Dennis Braun <snd@debian.org>  Tue, 31 Dec 2024 15:19:08 +0100
